
CoCoALib - Bug #1416

IdealOfProjectivePoints and MinGens

14 Feb 2020 09:00 - Anna Maria Bigatti

Status: Closed Start date: 14 Feb 2020

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Maths Bugs Estimated time: 2.01 hours

Target version: CoCoALib-0.99700 Spent time: 1.40 hour

Description

Juan Migliore found this weird bug:

/**/ A := GenericPoints(R,6,7000);

/**/ K := IdealOfProjectivePoints(R,mat(A));

/**/ MinGens(K);  -- gives []

Related issues:

Related to CoCoALib - Feature #374: Porting "IdealOfProjectivePoints" Closed 18 Jun 2013

Related to CoCoALib - Design #1255: Ideals with trivial GBasis New 11 Mar 2019

Related to CoCoA-5 - Bug #1420: IdealOfProjectivePoints and MinGens: problem ... Closed 18 Feb 2020

Related to CoCoALib - Feature #1433: HilbertDriven Buchberger Algorithm New 04 Mar 2020

History

#1 - 14 Feb 2020 09:01 - Anna Maria Bigatti

- Related to Feature #374: Porting "IdealOfProjectivePoints" added

#2 - 14 Feb 2020 09:03 - Anna Maria Bigatti

- Subject changed from IdealOfProjectivePoints and MinPoly to IdealOfProjectivePoints and MinGens

#3 - 14 Feb 2020 09:18 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

The following works:

use R ::= QQ[x,y,z];

I := IdealOfProjectivePoints(R, mat([[1,0,0]]));

MinGens(I);

J := IdealOfProjectivePoints(R, mat([[1,0,0],[0,1,0]]));

MinGens(J);

#4 - 14 Feb 2020 09:32 - Anna Maria Bigatti

- Category changed from Safety to Maths Bugs

#5 - 14 Feb 2020 09:33 - Anna Maria Bigatti
and this doesn't.

/**/ use P ::= QQ[x,y,z];

/**/ K := IdealOfProjectivePoints(P,mat([[0,1,1],[0,0,1]]));

/**/ MinGens(K);

[]

what's going on???

#6 - 21 Feb 2020 14:53 - John Abbott

- Related to Design #1255: Ideals with trivial GBasis added

#7 - 25 Feb 2020 15:48 - Anna Maria Bigatti

- Related to Bug #1420: IdealOfProjectivePoints and MinGens: problem with CoCoA_ASSERT added

#8 - 03 Mar 2020 21:51 - John Abbott

There are also some other functions which create a GB without having to calculate it, right?

IdealOfPoints, ...

#9 - 04 Mar 2020 14:19 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- Assignee set to Anna Maria Bigatti

- % Done changed from 10 to 100

IdealOfProjectivePoints computes GB but cannot determin MinGens.

Neccessary to recompute GBasis with Buchbeger algorithm.

Done and working (see #1420).

Improvement: do it with Hilbert driven Buchberger algorithm.

#10 - 04 Mar 2020 14:20 - Anna Maria Bigatti

- Related to Feature #1433: HilbertDriven Buchberger Algorithm added
